Loading...
Searching...
No Matches
LCM.LCM.LCMSubscriber Interface Reference

A class which listens for messages on a particular channel. More...

Inheritance diagram for LCM.LCM.LCMSubscriber:

## Public Member Functions

void | MessageReceived (LCM lcm, string channel, LCMDataInputStream ins)
| Invoked by LCM when a message is received.

## Detailed Description

A class which listens for messages on a particular channel.

## Member Function Documentation

## MessageReceived()

void LCM.LCM.LCMSubscriber.MessageReceived | ( | LCM | lcm,
|  | string | channel,
|  | LCMDataInputStream | ins )

Invoked by LCM when a message is received.

This method is invoked from the LCM thread.

Parameters

  lcm | the LCM instance that received the message
  channel | the channel on which the message was received
  ins | the message contents

Implemented in LCM.LCM.MessageAggregator.

The documentation for this interface was generated from the following file:

- lcm/lcm/LCMSubscriber.cs